/****    alert.h    ****/

/****    external declarations for alert.c    ****/

#ifndef	ALERT_H
#define	ALERT_H	1

/**********************************************************************
*  Copyright (c) 1990, 1991, 1992 Iris Computing Laboratories.
*
*  This software is provided for demonstration purposes only.  As
*  freely-distributed, modifiable source code, this software carries
*  absolutely no warranty.  Iris Computing Laboratories disclaims
*  all warranties for this software, including any implied warranties
*  of merchantability and fitness, and shall not be liable for
*  damages of any type resulting from its use.
*  Permission to use, copy, modify, and distribute this source code
*  for any purpose and without fee is hereby granted, provided that
*  the above copyright and this permission notice appear in all copies
*  and supporting documentation, and provided that Iris Computing
*  Laboratories not be named in advertising or publicity pertaining
*  to the redistribution of this software without specific, written
*  prior permission.
**********************************************************************/

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>


#include "Alert.h"


#include <stdio.h>


#define ALERT_YES		-1
#define ALERT_NO		-2
#define ALERT_CANCEL	-3



/*
Function declarations:
*/

extern Widget alert_create_ync(), alert_create_continue();
extern void alert_delete(), alert();
extern int alert_query();
extern void set_alert_reset_proper_keyboard_focus();


#endif

