/****    Ximisc.c    ****/

#include <stdio.h>
#include <X11/Xlib.h>
#include <X11/Xos.h>
#include <X11/IntrinsicP.h>
#include <X11/StringDefs.h>

#include "Ximisc.h"


/*
query_set_pos() tests the current pointer position
and sets the coordinates for the popup shell.
*/

void query_set_pos(w)
Widget w;
{
	Window dummy_win;
	int root_x, root_y, dummy_xy;
	unsigned int dummy_keys;
	Arg args[3];
	int i;

	XQueryPointer(XtDisplay(w->core.parent),
		XtWindow(XtParent(w->core.parent)),
		&dummy_win, &dummy_win, &root_x,
		&root_y, &dummy_xy, &dummy_xy, &dummy_keys);
	i = 0;
	XtSetArg(args[i], XtNx, (XtArgVal) (root_x - 40)); i++;
	XtSetArg(args[i], XtNy, (XtArgVal) (root_y - 10)); i++;
	XtSetValues(w->core.parent, args, i);
}	/* query_set_pos */

